%define name checkpassword
%define version 0.90
%define release 1mdk

Name:		%{name}
Summary:	Simple, uniform password-checking interface
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		System/Servers
URL:		http://pobox.com/~djb/checkpwd.html
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Checkpassword provides a simple, uniform password-checking interface to all
root applications. It is suitable for use by programs such as login, ftpd, and 
pop3d.  This is required by qmail to authenticate passwords for qmail-pop3d.

%prep
%setup


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

SHADOWOPTS=$RPM_OPT_FLAGS SHADOWLIBS=-lcrypt make checkpassword


%install
mkdir -p %{buildroot}/bin
install -m 700 checkpassword %{buildroot}/bin


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%doc BLURB CHANGES FILES README TODO INSTALL THANKS
/bin/checkpassword


%changelog
* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk
- updated to 0.90

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- rebuild

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.81-2mdk
- macroization

* Mon Jul 17 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.81-1mdk
- mandrake build
